Uploaded image for project: 'Core Server'
  1. Core Server
  2. SERVER-32824

Incorrect interpreterVersion() reported in mongo shell

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Trivial - P5
    • Resolution: Fixed
    • Affects Version/s: 3.4.10, 3.6.2
    • Fix Version/s: 3.7.4
    • Component/s: Shell
    • Labels:
    • Backwards Compatibility:
      Fully Compatible
    • Operating System:
      ALL
    • Sprint:
      Platforms 2018-03-26

      Description

      Per SERVER-23358, SpiderMonkey was upgraded from ESR 38 to ESR 45.0.2 for the MongoDB 3.4 release.

      However, the version appears to have been left hardcoded at the old value in mongo/scripting/mozjs/engine.cpp so interpreterVersion() in the mongo shell will incorrectly report "MozJS-38".

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              ben.caimano Benjamin Caimano
              Reporter:
              stennie Stennie Steneker
              Participants:
              Votes:
              0 Vote for this issue
              Watchers:
              5 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: